WordPress.org

Plugin Directory

Email Subscribers

Create and Send HTML newsletters to subscribers. Also this have option to send notification email to subscribers when new posts are published.

Email subscribers plugin has options to send newsletters to subscribers. It has a separate page with HTML editor to create a HTML newsletter. Also have options to send notification email to subscribers when new posts are published to your blog. Separate page available to include and exclude categories to send notifications. Using plugin Import and Export options admins can easily import registered users and commenters to subscriptions list.

This plugin have subscription box and it allows users to publicly subscribe by submitting their email address. You can add subscriptions box to your sidebar (use widget). posts (use short code) and theme file (use php code).

Main advantage:

  1. Send notification email to subscribers when new posts are published to your blog.
  2. Create a HTML newsletter and send manually (Or Schedule) to subscribers.
  3. Auto generate a newsletter with latest available posts in the blog and send to your subscribers via cron job.

Plugin Features:

  • Send notification email to subscribers when new posts are published.
  • Option to schedule mail (Cron job option).
  • Subscription box (Widget/Shortcode/PHP Code).
  • Double opt-in and single opt-in facility for subscriber.
  • Email notification to admin when user signs up (Optional).
  • Automatic welcome mail to subscriber (Optional).
  • Unsubscribe link in the mail.
  • Import/Export subscriber emails.
  • HTML editor to compose newsletter.
  • Send newsletter.
  • Alphabetized list in send mail page.
  • Sent mail status and when it was viewed.
  • Support localization or internationalization.
  • Ability to control user access (Roles and Capabilities).

Translators

  • English (en_EN)
  • Turkish (tr_TR) - Dr Abdullah Manaz
  • Tamil (ta) - Gopi Ramasamy
  • Dutch (nl_NL) - John van Halderen
  • Dutch (nl_NL_2) - Paul't Hoen
  • Serbian (sr_RS) - Ogi Djuraskovic
  • German (de_DE) - Stefanie Drucker
  • Russian (ru_RU) - everyonesdesign
  • Polish (pl) - Abdul Sattar

Requires: 3.4 or higher
Compatible up to: 4.4.2
Last Updated: 2 months ago
Active Installs: 30,000+

Ratings

4.4 out of 5 stars

Support

9 of 25 support threads in the last two months have been marked resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1 100,1,1 100,1,1 100,1,1
100,2,2
100,1,1
100,1,1
100,1,1
0,1,0
100,1,1